%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate parking_lot_core

Name:           rust-parking_lot_core
Version:        0.9.10
Release:    1%{?dist}
Summary:        Advanced API for creating custom synchronization primitives

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/parking_lot_core
Source0:         %{crates_source}
Patch:          parking_lot_core-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An advanced API for creating custom synchronization primitives.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deadlock_detection-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deadlock_detection-devel %{_description}

This package contains library source intended for building other packages which
use the "deadlock_detection" feature of the "%{crate}" crate.

%files       -n %{name}+deadlock_detection-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+petgraph-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+petgraph-devel %{_description}

This package contains library source intended for building other packages which
use the "petgraph" feature of the "%{crate}" crate.

%files       -n %{name}+petgraph-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thread-id-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thread-id-devel %{_description}

This package contains library source intended for building other packages which
use the "thread-id" feature of the "%{crate}" crate.

%files       -n %{name}+thread-id-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.10-1
- initial build
